<?php 
function virtua_cpts() {

/**
 * Post Type: Services.
 */

$labels = array(
    "name"                  => __( "Services", "virtua" ),
    "singular_name"         => __( "Services", "virtua" ),
    "add_new_item" 			=> __( 'Add Service', 'virtua' ),
    "edit_item" 			=> __( 'Edit Service', 'virtua' ),
    "new_item" 				=> __( 'New Service', 'virtua' ),
    "view_item" 			=> __( 'View Service', 'virtua' ),
    "view_items" 			=> __( 'View Services', 'virtua' ),
    "search_items" 			=> __( 'Search Services', 'virtua' ),
    "not_found" 			=> __( 'No Services Found', 'virtua' ),
    "not_found_in_trash" 	=> __( 'No Services Found in Trash', 'virtua' ),
    "all_items" 			=> __( 'All Services', 'virtua' ),
);

$args = array(
    "label" => __( "Services", "virtua" ),
    "labels" => $labels,
    "description" => "",
    "public" => true,
    "publicly_queryable" => true,
    "show_ui" => true,
    "delete_with_user" => false,
    "show_in_rest" => true,
    "rest_base" => "",
    "rest_controller_clas" => "WP_REST_Posts_Controller",
    "has_archive" => false,
    "show_in_menu" => true,
    "show_in_nav_menus" => true,
    "exclude_from_search" => false,
    "capability_type" => "post",
    "map_meta_cap" => true,
    "hierarchical" => false,
    "rewrite" => array( "slug" => "service", "with_front" => true ),
    "query_var" => true,
    "supports" => array( "title", "editor", "thumbnail", 'custom-fields'),
);

register_post_type( "virtua_service", $args );
}

add_action( 'init', 'virtua_cpts' );